#!/bin/bash

# Run under wine user
# Move obsoleted bottles to tokill dir
OLDAGE=365

FROMDIR=~/bottles
TODIR=$FROMDIR/tokill

echo "find .wine that did not use more then one years"
find ${FROMDIR} -name system.reg -atime +$OLDAGE > TempPath.txt
echo "Prepare commands"
subst "s|/system.reg||g" TempPath.txt
subst "s|^|mv |g" TempPath.txt
subst "s|$| ${TODIR}|g" TempPath.txt
cat TempPath.txt
while [ "$var" != "y" -a "$var" != "n" ]; do
    echo -n "Run these commands? [y/n]"
    read
    var="${REPLY// /}"
done

if [ "$var" = "y" ]
then
    echo "Run commands"
    chmod 777 TempPath.txt
    exec ./TempPath.txt
else
    echo "Comands did not run"
fi 
echo "ok"
