#!/bin/sh
if [ -z "$CVSROOT" ] ; then
	echo "CVSROOT is empty"
	exit 1
fi

if [ "$1" = "--updateroot" ] ; then
	FILE=$2
	if [ -n "`cat $FILE`" ] ; then
		head -n1 $FILE | grep "^/var/local/cvsroot" || exit 0
	fi
	echo Updated $FILE
	echo $CVSROOT >$FILE
	exit 0
fi
find ./ -name "Root" | xargs -n1 $0 --updateroot 
